import { Bytes, String } from "./types";
import { Client, PluginModule, MaybeAsync } from "@web3api/core-js";
export interface Input_addFile extends Record<string, unknown> {
    data: Bytes;
}
export interface Module extends PluginModule {
    addFile(input: Input_addFile, client: Client): MaybeAsync<String>;
}
